# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDockButton_Private Class Reference

A mini-button usually placed in the dockpanel. More...

`#include <kdockwidget_private.h>`

Inheritance diagram for KDockButton_Private:

[legend]
Collaboration diagram for KDockButton_Private:

[legend]
List of all members.

## Public Member Functions

| KDockButton_Private (QWidget *parent=0, const char *name=0)

## Protected Member Functions

virtual void | drawButton (QPainter *)
virtual void | enterEvent (QEvent *)
virtual void | leaveEvent (QEvent *)

## Detailed Description

A mini-button usually placed in the dockpanel.

Definition at line 117 of file kdockwidget_private.h.

The documentation for this class was generated from the following files:

- kdockwidget_private.h
- kdockwidget_private.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:59 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003